function [bag_ids,features,labels] = load_mildata(dataset);


if ispc 
  datadir = '....';
else
  datadir = '~pgehler/matlab/data/MILdata/';
end

switch dataset
 case 'musk1'
  load([datadir 'musk1norm_matlab.mat'],'bag_ids','features','labels');
 case 'musk2'
  load([datadir 'musk2norm_matlab.mat'],'bag_ids','features','labels');
 case 'tiger'
  load([datadir 'tiger_100x100_matlab.mat'],'bag_ids','features','labels');
 case 'elephant'
  load([datadir 'elephant_100x100_matlab.mat'],'bag_ids','features','labels');
 case 'fox'
  load([datadir 'fox_100x100_matlab.mat'],'bag_ids','features','labels');
 case 'trx'
  load([datadir 'trx.mat'],'bag_ids','features','labels');
 otherwise
  if strcmp(dataset(1:5),'trec_')
    load([datadir dataset '_200x200_matlab.mat'],'bag_ids','features','labels');
  else
    error(['no such dataset known : ' dataset]);
  end
  
end

